import http from '@/http/api.js'
const url = '/api/business/classRoomCallApi'

// 获取列表
export const page = (params) => {
	return http.request({
		url: url + '/getPageList',
		method: 'get',
		params
	})
}

// 获取不分页列表
export const list = (params) => {
	return http.request({
		url: url + '/getNoPageList',
		method: 'get',
		params
	})
}

// 获取点名列表某一项所有人员
export const detail = (data) => {
	return http.request({
		url: '/api/business/personApi/pageQuery',
		method: 'post',
		data
	})
}

// 获取点名任务列表
export const taskPage = (params) => {
	return http.request({
		url: url + '/getTaskPageList',
		method: 'get',
		params
	})
}